#pragma once
#include <initguid.h>

// {7ABAE368-6A31-4f3a-96ED-24FAA7CDD3F9}
DEFINE_GUID(CLSID_JVideoRenderer, 
0x7abae368, 0x6a31, 0x4f3a, 0x96, 0xed, 0x24, 0xfa, 0xa7, 0xcd, 0xd3, 0xf9);

class DSMediaDecodingPlayer;
class JVideoRenderer : public CBaseVideoRenderer
{

private:
	DSMediaDecodingPlayer *mdp;
	//IBasicVideo *iBv;
	//VIDEOINFOHEADER2 *vic;

public:
	//DECLARE_IUNKNOWN
    // COM
	static HRESULT JVideoRenderer::CreateInstance(LPUNKNOWN pUnk, HRESULT *phr, DSMediaDecodingPlayer *inMdp, JVideoRenderer **ppJvr);
	HRESULT __stdcall QueryInterface(REFIID refIid, void **pObj);
	// Constructor
	JVideoRenderer(LPUNKNOWN pUnk,
		HRESULT *phr,DSMediaDecodingPlayer *);
	void setMdp(DSMediaDecodingPlayer *inMdp);
	//void setBasicVideo(IBasicVideo *);
	HRESULT CheckMediaType(const CMediaType *);
	HRESULT SetMediaType(const CMediaType *);  
	HRESULT DoRenderSample(IMediaSample *);
	~JVideoRenderer(void);
};
